Package org.italiangrid.voms.request.impl

# Class DefaultVOMSACRequest

java.lang.Object
org.italiangrid.voms.request.impl.DefaultVOMSACRequest

All Implemented Interfaces:
  `VOMSACRequest`

public class DefaultVOMSACRequest extends Object implements VOMSACRequest
The default implementation for a `VOMSACRequest`.

Author:
  Valerio Venturi

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DefaultVOMSACRequest.Builder`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_LIFETIME`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLifetime()`
`List<String>`
`getRequestedFQANs()`
`List<String>`
`getTargets()`
`String`
`getVoName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_LIFETIME

public static final int DEFAULT_LIFETIME

## Method Details

### getLifetime

public int getLifetime()

Specified by:
  `getLifetime` in interface `VOMSACRequest`
Returns:
  the lifetime for this `VOMSACRequest`.

### getRequestedFQANs

public List<String> getRequestedFQANs()

Specified by:
  `getRequestedFQANs` in interface `VOMSACRequest`
Returns:
  the list of the requested FQANs specified in this `VOMSACRequest` object.

### getTargets

public List<String> getTargets()

Specified by:
  `getTargets` in interface `VOMSACRequest`
Returns:
  the list of targets (i.e., host where the requested ACs will be valid) for this `VOMSACRequest` object.

### getVoName

public String getVoName()

Specified by:
  `getVoName` in interface `VOMSACRequest`
Returns:
  the name of the VO this `VOMSACRequest` object is about.